Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultCellEditor.EditorDelegate

    java.lang.Object
      |
      +--javax.swing.DefaultCellEditor.EditorDelegate

All Implemented Interfaces:
  ActionListener, EventListener, ItemListener, Serializable

Enclosing class:
  DefaultCellEditor

protected class DefaultCellEditor.EditorDelegate
extends Object
implements ActionListener, ItemListener, Serializable

The protected `EditorDelegate` class.

Field Summary
`protected Object` | `value` The value of this cell.

Constructor Summary
`protected` | `DefaultCellEditor.EditorDelegate()`

Method Summary
`void` | `actionPerformed(ActionEvent e)` When an action is performed, editing is ended.
`void` | `cancelCellEditing()` Cancels editing.
`Object` | `getCellEditorValue()` Returns the value of this cell.
`boolean` | `isCellEditable(EventObject anEvent)` Returns true if `anEvent` is not a `MouseEvent`.
`void` | `itemStateChanged(ItemEvent e)` When an item's state changes, editing is ended.
`void` | `setValue(Object value)` Sets the value of this cell.
`boolean` | `shouldSelectCell(EventObject anEvent)` Returns true to indicate that the editing cell may be selected.
`boolean` | `startCellEditing(EventObject anEvent)` Returns true to indicate that editing has begun.
`boolean` | `stopCellEditing()` Stops editing and returns true to indicate that editing has stopped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Object value

  The value of this cell.

Constructor Detail

### DefaultCellEditor.EditorDelegate

    protected DefaultCellEditor.EditorDelegate()

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Returns the value of this cell.

  Returns:
    the value of this cell

### setValue

    public void setValue(Object value)

  Sets the value of this cell.

  Parameters:
    `value` - the new value of this cell

### isCellEditable

    public boolean isCellEditable(EventObject anEvent)

  Returns true if `anEvent` is not a `MouseEvent`. Otherwise, it returns true if the necessary number of clicks have occurred, and returns false otherwise.

  Parameters:
    `anEvent` - the event
  Returns:
    true if cell is ready for editing, false otherwise
  See Also:
    `DefaultCellEditor.setClickCountToStart(int)`, `shouldSelectCell(java.util.EventObject)`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Returns true to indicate that the editing cell may be selected.

  Parameters:
    `anEvent` - the event
  Returns:
    true
  See Also:
    `isCellEditable(java.util.EventObject)`

### startCellEditing

    public boolean startCellEditing(EventObject anEvent)

  Returns true to indicate that editing has begun.

  Parameters:
    `anEvent` - the event

### stopCellEditing

    public boolean stopCellEditing()

  Stops editing and returns true to indicate that editing has stopped. This method calls `fireEditingStopped`.

  Returns:
    true

### cancelCellEditing

    public void cancelCellEditing()

  Cancels editing. This method calls `fireEditingCanceled`.

### actionPerformed

    public void actionPerformed(ActionEvent e)

  When an action is performed, editing is ended.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `e` - the action event
  See Also:
    `stopCellEditing()`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  When an item's state changes, editing is ended.

  Specified by:
    `itemStateChanged` in interface `ItemListener`
  Parameters:
    `e` - the action event
  See Also:
    `stopCellEditing()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.